Vsan Cluster Power System Update Cluster Power Status

Vsan Cluster Power System Update Cluster Power Status
Update the current cluster power status.

Update the current cluster power status.

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanClusterPowerSystem/{moId}/UpdateClusterPowerStatus
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanClusterPowerSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
UpdateClusterPowerStatusRequestType of type(s) application/json
Required

Show optional properties

{
    "cluster": {},
    "status": "string"
}
{
    "cluster": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    },
    "status": "string"
}
cluster
Required

The cluster which to update the power status.

Required privileges: Host.Inventory.EditCluster

string
status
Required

The target status needs to be set.

Authentication
This operation uses the following authentication methods.
Responses
200

a boolean indicates success or not.

Returns integer of type(s) application/json
Operation doesn't return any data structure

500

NotSupported: if run directly on an ESX Server host.

VsanFault: Exception for generic vSAN related errors, for example, trying to update the power status when there is a running power action task.

Returns VsanFault of type(s) application/json
This response body class contains all of the following: VimFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"cluster":"{}","status":"string"}' https://{api_host}/sdk/vim25/{release}/vsan/VsanClusterPowerSystem/{moId}/UpdateClusterPowerStatus